import request from '@/utils/request'

// 查询腐蚀回路图管理列表
export function listLoop(query) {
  return request({
    url: '/sems/loop/list',
    method: 'get',
    params: query
  })
}


export function getLoopByPlant(query) {
  return request({
    url: '/sems/loop/getLoopByPlant',
    method: 'get',
    params: query
  })
}

// 查询腐蚀回路图
export function queryUrl(query) {
  return request({
    url: '/sems/loop/queryUrl',
    method: 'get',
    params: query
  })
}


// 查询腐蚀回路图管理详细
export function getLoop(id) {
  return request({
    url: '/sems/loop/' + id,
    method: 'get'
  })
}

// 新增腐蚀回路图管理
export function addLoop(data) {
  return request({
    url: '/sems/loop',
    method: 'post',
    data: data
  })
}

// 修改腐蚀回路图管理
export function updateLoop(data) {
  return request({
    url: '/sems/loop',
    method: 'put',
    data: data
  })
}

// 删除腐蚀回路图管理
export function delLoop(id) {
  return request({
    url: '/sems/loop/' + id,
    method: 'delete'
  })
}

// 导出腐蚀回路图管理
export function exportLoop(query) {
  return request({
    url: '/sems/loop/export',
    method: 'get',
    params: query
  })
}
